## lapack-g95 3.0.20000531+0.9

=== debian/changelog ===
lapack-g95 (3.0.20000531+0.9) unstable; urgency=low

  * Compiled by G95 Fortran compiler based on lapack-3.0.20000531a deb package

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 27 Nov 2007 14:57:08 +0900

Local variables:
mode: change-log
End:

## lapack-g95 3.0.20000531+0.91

=== debian/changelog ===
lapack-g95 (3.0.20000531+0.91) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 21 Jun 2008 12:18:15 +0900

## lapack-g95 3.0.20000531+20070105

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070105) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Jan 2007 05:00:12 +0900

lapack-g95 (3.0.20000531+20061219) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 24 Dec 2006 05:00:07 +0900

lapack-g95 (3.0.20000531+20061212) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 17 Dec 2006 05:00:11 +0900

lapack-g95 (3.0.20000531+20061207) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Dec 2006 05:00:11 +0900

lapack-g95 (3.0.20000531+20061130) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Dec 2006 05:00:07 +0900

lapack-g95 (3.0.20000531+20061121) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Nov 2006 05:00:08 +0900

lapack-g95 (3.0.20000531+20061115) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Nov 2006 05:00:08 +0900

lapack-g95 (3.0.20000531+20061106) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue,  7 Nov 2006 15:14:35 +0900

lapack-g95 (3.0.20000531+20061102) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  5 Nov 2006 05:00:09 +0900

lapack-g95 (3.0.20000531+20061027) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 30 Oct 2006 17:26:26 +0900

lapack-g95 (3.0.20000531+20061022) unstable; urgency=low

  * Compiled by G95 Fortran compiler based on lapack-3.0.20000531a deb package

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 29 Oct 2006 19:38:09 +0900

Local variables:
mode: change-log
End:

## lapack-g95 3.0.20000531+20070112

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070112) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Jan 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070117

=== timing/lin/Makefile ===
include ../../make.inc

#######################################################################
#  This makefile creates the timing programs for the linear equation
#  routines in LAPACK.  The timing files are grouped as follows:
#       ALINTIM -- Timing routines for all data types
#       SCINTIM -- Single precision real and complex timing routines
#       DZINTIM -- Double precision real and complex timing routines
#
#       SLINTIM -- Single precision real timing routines
#       CLINTIM -- Single precision complex timing routines
#       DLINTIM -- Double precision real timing routines
#       ZLINTIM -- Double precision complex timing routines
#
#  Timing programs can be generated for all or some of the four
#  data types.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four timing programs.
#  The executable files are called
#       xlintims, xlintimd, xlintimc, and xlintimz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################
 
ALINTIM = atimin.o atimck.o icopy.o ilaenv.o xlaenv.o
 
SCINTIM = slaord.o sprtbl.o sprtb2.o sprtb3.o sprtb4.o sprtb5.o \
        sprtls.o smflop.o sopaux.o sopbl2.o sopbl3.o sopgb.o sopla.o
 
DZINTIM = dlaord.o dprtbl.o dprtb2.o dprtb3.o dprtb4.o dprtb5.o \
        dprtls.o dmflop.o dopaux.o dopbl2.o dopbl3.o dopgb.o dopla.o
 
SLINTIM = stimaa.o stimmg.o \
        stimmv.o stimmm.o stimb2.o stimb3.o stimge.o stimgb.o stimgt.o \
        stimls.o stimpo.o stimpp.o stimpb.o stimpt.o stimsy.o stimsp.o \
        stimtr.o stimtp.o stimtb.o stimhr.o stimtd.o stimbr.o \
        stimq3.o stimqr.o stimlq.o stimql.o stimrq.o stimqp.o \
        sqrt13.o sqrt15.o slinpk.o seispk.o
 
CLINTIM = ctimaa.o ctimmg.o \
        ctimmv.o ctimmm.o ctimb2.o ctimb3.o ctimge.o ctimgb.o ctimgt.o \
        ctimls.o ctimpo.o ctimpp.o ctimpb.o ctimpt.o \
        ctimsy.o ctimsp.o ctimhe.o ctimhp.o \
        ctimtr.o ctimtp.o ctimtb.o ctimhr.o ctimtd.o ctimbr.o \
        ctimq3.o ctimqr.o ctimlq.o ctimql.o ctimrq.o ctimqp.o \
        cqrt13.o cqrt15.o clinpk.o
 
DLINTIM = dtimaa.o dtimmg.o \
        dtimmv.o dtimmm.o dtimb2.o dtimb3.o dtimge.o dtimgb.o dtimgt.o \
        dtimls.o dtimpo.o dtimpp.o dtimpb.o dtimpt.o dtimsy.o dtimsp.o \
        dtimtr.o dtimtp.o dtimtb.o dtimhr.o dtimtd.o dtimbr.o \
        dtimq3.o dtimqr.o dtimlq.o dtimql.o dtimrq.o dtimqp.o \
        dqrt13.o dqrt15.o dlinpk.o deispk.o
 
ZLINTIM = ztimaa.o ztimmg.o \
        ztimmv.o ztimmm.o ztimb2.o ztimb3.o ztimge.o ztimgb.o ztimgt.o \
        ztimls.o ztimpo.o ztimpp.o ztimpb.o ztimpt.o \
        ztimsy.o ztimsp.o ztimhe.o ztimhp.o \
        ztimtr.o ztimtp.o ztimtb.o ztimhr.o ztimtd.o ztimbr.o \
        ztimq3.o ztimqr.o ztimlq.o ztimql.o ztimrq.o ztimqp.o \
        zqrt13.o zqrt15.o zlinpk.o
 
all:  single double complex complex16

single: ../xlintims
double: ../xlintimd
complex: ../xlintimc
complex16: ../xlintimz

../xlintims : $(ALINTIM) $(SCINTIM) $(SLINTIM)
	$(LOADER) $(LOADOPTS)  $(ALINTIM) $(SCINTIM) $(SLINTIM) \
	../../$(TMGLIB) $(LINSRCLIB) $(LLIB) $(BLASLIB) -o $@

../xlintimc : $(ALINTIM) $(SCINTIM) $(CLINTIM)
	$(LOADER) $(LOADOPTS)  $(ALINTIM) $(SCINTIM) $(CLINTIM) \
	../../$(TMGLIB) $(LINSRCLIB) $(LLIB) $(BLASLIB) -o $@

../xlintimd : $(ALINTIM) $(DZINTIM) $(DLINTIM)
	$(LOADER) $(LOADOPTS)  $(ALINTIM) $(DZINTIM) $(DLINTIM) \
	../../$(TMGLIB) $(LINSRCLIB) $(LLIB) $(BLASLIB)  -o $@

../xlintimz : $(ALINTIM) $(DZINTIM) $(ZLINTIM)
	$(LOADER) $(LOADOPTS)  $(ALINTIM) $(DZINTIM) $(ZLINTIM) \
	../../$(TMGLIB) $(LINSRCLIB) $(LLIB) $(BLASLIB)  -o $@

$(ALINTIM): $(FRC)
$(SCINTIM): $(FRC)
$(DZINTIM): $(FRC)
$(SLINTIM): $(FRC)
$(CLINTIM): $(FRC)
$(DLINTIM): $(FRC)
$(ZLINTIM): $(FRC)
 
FRC:
	@FRC=$(FRC)
 
clean:
	rm -f *.o *.a

stimaa.o: stimaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
dtimaa.o: dtimaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
ctimaa.o: ctimaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
ztimaa.o: ztimaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
 
.f.o : ; $(FORTRAN) $(OPTS) -c $*.f

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070117) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Jan 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070124

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070124) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Jan 2007 05:00:10 +0900

## lapack-g95 3.0.20000531+20070202

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070202) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  4 Feb 2007 05:00:14 +0900

## lapack-g95 3.0.20000531+20070209

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070209) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Feb 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070215

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070215) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Feb 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070223

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070223) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 25 Feb 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070228

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070228) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  4 Mar 2007 05:00:14 +0900

## lapack-g95 3.0.20000531+20070307

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070307) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Mar 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070312

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070312) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Mar 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070320

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070320) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 25 Mar 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070330

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070330) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Apr 2007 05:00:11 +0900

=== debian/rules ===
#!/usr/bin/make -f

# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

SO:=2
MN:=0
VERS:=$(SO).$(MN)


ARCH:=$(shell dpkg --print-architecture)
#F77:=g95
FOPTS:=
#FOPTS:=-ff90
OPTOPTS:=-O3
UNROLL:=-funroll-all-loops

SUFFIX=_g95
EXT=-g95
LIBNAME=lapack$(SUFFIX)
DLIBNAME=lib$(LIBNAME).so
SLIBNAME=lib$(LIBNAME).a

LAPACKLIB=$(SLIBNAME)

#BLAS_SHAREDLIB=/usr/lib/libblas$(SUFFIX).so

ifeq ($(ARCH),arm)
#F77:=g77-3.0
OPTOPTS:=-O0
UNROLL:=
endif

#ifeq ($(ARCH),m68k)
#F77:=fort77
#FOPTS:=-ffloat-store
#endif

#ifeq ($(ARCH),ia64)
#F77:=g77-3.2
#endif

ifeq ($(ARCH),alpha)
#F77:=g77-3.2
FOPTS:=-ff90 -mieee
endif

ifeq ($(ARCH),s390)
OPTOPTS:=-O0
endif

#
#
# Add-on documentation from upstream
#
#


debian/lapackqref.ps debian/faq.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)

debian/release_notes.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)
	cat $@ | sed -e "s,/lapack/html/,,g" \
		     -e "s,errata.lug\",errata.lug.gz\",1" \
		     -e "s,installation.hints\",installation.hints.gz\",1" >tmp
	mv tmp $@

#MF:=$(shell find man -type f)
#MF3:=$(subst .l,.3,$(MF))
man:
	cd debian && wget -N ftp://ftp.netlib.org/lapack/manpages.tgz
	tar zxf debian/manpages.tgz
	rm -rf debian/manpages.tgz blas/man

%.3: %.l
	cat $< |sed "s,^\( *.TH  *[^ ]*  *\)l\(  *.*\),\1 3 \2,1" >$@

debian/errata.lug debian/installation.hints:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/html/$(@F)

lug/index.html:
	mkdir -p $(@D)
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 ftp://ftp.netlib.org/lapack/lug/
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 -A gif ftp://ftp.netlib.org/utk/icons/
	cd $(@D) && ( set -e ; \
		for i in $$(ls -1 *.html); do \
			cat $$i | sed "s,http://www.netlib.org/utk/icons/,,g" >tmp && mv tmp $$i ; \
		done )
	cd $(@D) && web2png -a && rm -f *.gif

doc: lug/index.html debian/lapackqref.ps man\
     debian/release_notes.html debian/errata.lug debian/installation.hints\
     debian/faq.html

#
#
# Upstream updates/patches
#
#


UD:=debian/updates

debian/updates/index.html:
	cd debian/updates && \
		wget -r -N -R html,gif,txt --no-parent -nH --cut-dirs=2 \
			ftp://ftp.netlib.org/lapack/patch/
	cd debian/updates && cat ../updates.patch | patch -p3
	find debian/updates -name index.html -exec rm {} \;
	find debian/updates -name robots.txt -exec rm {} \;
	find debian/updates -name MD5 -exec rm {} \;

PF:=$(shell cd $(UD) && find * -type f)

debian/patches/%: $(UD)/% debian/unapplied/%
	[ -e $* ]
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	diff -uN $* $(UD)/$* >$@ || [ $$? -le 1 ]

debian/patches_created: debian/patches_unapplied $(addprefix debian/patches/,$(PF))
	touch $@ && chmod go+rw $@

debian/applied/%: 
	! [ -e debian/patches/$* ] || patch -p0 < debian/patches/$*
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	rm -f debian/unapplied/$*
	touch $@ && chmod go+rw $@

debian/arch_patch_applied:
	! [ -e debian/$(ARCH)/patch ] || patch -p1 <debian/$(ARCH)/patch
	mkdir -m 777 -p $(@D)
	rm -f debian/arch_patch_unapplied
	touch $@ && chmod go+rw $@

debian/makes: make.inc testing/Makefile timing/Makefile
	rm -f debian/unmakes
	touch $@

debian/patches_applied: $(addprefix debian/applied/,$(PF)) debian/arch_patch_applied debian/makes
	rm -f debian/patches_unapplied
	touch $@ && chmod go+rw $@

debian/unapplied/%: 
	! [ -e debian/patches/$* ] || ! [ -e debian/applied/$* ] || patch -p0 -R < debian/patches/$*
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	rm -f debian/applied/$*
	touch $@ && chmod go+rw $@

debian/arch_patch_unapplied:
	! [ -e debian/$(ARCH)/patch ] || ! [ -e debian/arch_patch_applied ] || patch -p1 -R <debian/$(ARCH)/patch
	mkdir -m 777 -p $(@D)
	rm -f debian/arch_patch_applied
	touch $@ && chmod go+rw $@

debian/unmakes:
	! [ -e make.inc.ori ] || mv make.inc.ori make.inc
	! [ -e testing/Makefile.ori ] || mv testing/Makefile.ori testing/Makefile
	! [ -e timing/Makefile.ori ] || mv timing/Makefile.ori timing/Makefile
	rm -f debian/makes
	touch $@

debian/patches_unapplied: debian/unmakes debian/arch_patch_unapplied $(addprefix debian/unapplied/,$(PF)) 
	rm -f debian/patches_applied
	touch $@ && chmod go+rw $@

#
#
# Configure
#
#


make.inc.ori: 
	cp -p make.inc $@

make.inc: install/make.inc.LINUX make.inc.ori 
	cat $< | sed -e "s,g77,$(F77),g" \
		     -e "s,\(^NOOPT  *=\),\1 \$$(PICOPTS) $(FOPTS),1" \
		     -e "s,-O3,\$$(PICOPTS) $(FOPTS) $(OPTOPTS),1" \
		     -e "s,-funroll-all-loops,$(UNROLL),g" \
		     -e "s,[^ ]*blas[^ ]*\.a,-lblas,1" > $@

TIMEOUT:=1800

testing/Makefile.ori: 
	cp testing/Makefile $@

testing/Makefile: testing/Makefile.ori 
	cat $< | sed -e "s,\./x,../debian/trun $(TIMEOUT) ./x,g" >$@

timing/Makefile.ori: 
	cp timing/Makefile $@

timing/Makefile: timing/Makefile.ori 
	cat $< | sed -e "s,\./x,../debian/trun $(TIMEOUT) ./x,g" >$@

#
#
# Build rules for libraries
#
#


liblapack$(SUFFIX)_pic.a: debian/patches_applied make.inc testing/Makefile timing/Makefile
	$(MAKE) cleanlib
	$(MAKE) do_install PICOPTS=-fPIC
	$(MAKE) lib        PICOPTS=-fPIC
	mv lapack_LINUX.a $@

$(DLIBNAME).$(VERS): liblapack$(SUFFIX)_pic.a libblas.so
	mkdir tmp
	cd tmp && ar x ../$<
	gcc -shared -Wl,-soname=$(DLIBNAME).$(SO) -o $@ tmp/*.o  -L. -lblas -lg2c
	rm -rf tmp

$(DLIBNAME).$(SO): $(DLIBNAME).$(VERS)
	ln -snf $< $@

$(DLIBNAME): $(DLIBNAME).$(SO)
	ln -snf $< $@

$(SLIBNAME): debian/patches_applied make.inc testing/Makefile timing/Makefile
	$(MAKE) cleanlib
	$(MAKE) do_install 
	$(MAKE) lib        
	mv lapack_LINUX.a $@

BF:=$(SLIBBAME) $(DLIBNAME)
build: $(BF)


#
#
# Testing/timing rules
#
#

TB:=s d c z
TB:=$(addprefix tst,$(TB))
TB:=$(addprefix eig,$(TB)) $(addprefix lin,$(TB))
TB:=$(addprefix testing/x,$(TB))
MB:=$(subst tst,tim,$(TB))
MB:=$(subst testing,timing,$(MB))
TESF:=cbak cbal cbb cec ced cgbak cgbal cgd cgg cglm cgqr cgsv\
	clse cnep csb csep csg csvd ctest dbak dbal dbb dec ded\
	dgbak dgbal dgd dgg dglm dgqr dgsv dlse dnep dsb dsep dsg\
	dsvd dtest sbak sbal sbb sec sed sgbak sgbal sgd sgg sglm\
	sgqr sgsv slse snep ssb ssep ssg ssvd stest zbak zbal zbb\
	zec zed zgbak zgbal zgd zgg zglm zgqr zgsv zlse znep zsb\
	zsep zsg zsvd ztest

#
# Work around for alpha, cgqr test fails to converge
#
# Now fixed
#
#ifeq ($(ARCHT),alpha)
#TESTF:=$(filter-out cgqr,$(TESTF))
#endif

TESF:=$(addprefix testing/,$(addsuffix .out,$(TESF)))
TIMF:=cband cgeptim cneptim cseptim csvdtim ctime ctime2 dband\
	dgeptim dneptim dseptim dsvdtim dtime dtime2 sband sgeptim\
	sneptim sseptim ssvdtim stime stime2 zband zgeptim zneptim\
	zseptim zsvdtim ztime ztime2
TIMF:=$(addprefix timing/,$(addsuffix .out,$(TIMF)))

libblas.so:
	cp -d $(BLAS_SHAREDLIB) libblas.so
#	cp -d /usr/lib/libblas$(SUFFIX).so.$(SO).* libblas.so

$(TB) $(TESF): libblas.so $(DLIBNAME)
	chmod +x debian/trun
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH \
	$(MAKE) PICOPTS= \
		LLIB="-L $$(pwd) -llapack$(SUFFIX) -lblas" do_testing & \
		j=$$! ;\
		tail -f --pid=$$j --retry $(TESF) & \
		wait $$j

$(subst testing,debian/test,$(TESF)):\
	debian/test/%: testing/%
	mkdir -m 777 -p $(@D)
	echo Test file $(@F) >$@
	cat $< >> $@

debian/test_results: $(subst testing,debian/test,$(TESF))
	echo "These libraries and tests were compiled with:" >$@
	$(F77) -v >>$@
	cat $^ >>$@

$(MB) $(TIMF): libblas.so $(DLIBNAME)
	chmod +x debian/trun

## lapack-g95 3.0.20000531+20070404

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070404) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Apr 2007 05:00:14 +0900

## lapack-g95 3.0.20000531+20070412

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070412) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Apr 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070418

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070418) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Apr 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070426

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070426) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Apr 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070503

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070503) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  6 May 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070510

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070510) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 13 May 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070524

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070524) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 May 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070529

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070529) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Jun 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070604

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Jun 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070627

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070627) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Jul 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070710

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Jul 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070717

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070717) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Jul 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070725

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070725) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Jul 2007 05:00:13 +0900

## lapack-g95 3.0.20000531+20070810

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070810) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 12 Aug 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070815

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070815) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Aug 2007 05:00:14 +0900

## lapack-g95 3.0.20000531+20070822

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070822) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Aug 2007 05:00:10 +0900

## lapack-g95 3.0.20000531+20070828

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070828) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Sep 2007 05:00:16 +0900

## lapack-g95 3.0.20000531+20070906

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070906) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  9 Sep 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20070912

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070912) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 16 Sep 2007 05:00:12 +0900

## lapack-g95 3.0.20000531+20070925

=== debian/changelog ===
lapack-g95 (3.0.20000531+20070925) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 30 Sep 2007 05:00:11 +0900

## lapack-g95 3.0.20000531+20071017

=== debian/changelog ===
lapack-g95 (3.0.20000531+20071017) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Oct 2007 05:00:09 +0900

## lapack-g95 3.0.20000531+20071026

=== debian/changelog ===
lapack-g95 (3.0.20000531+20071026) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Oct 2007 05:00:15 +0900

## lapack-g95 3.0.20000531+20071106

=== debian/changelog ===
lapack-g95 (3.0.20000531+20071106) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Nov 2007 05:00:11 +0900

=== debian/control ===
Source: lapack-g95
Section: libs
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper ( >= 4.1.16 )
Standards-Version: 3.6.1

Package: lapack-g95
Architecture: i386
Depends: ${shlibs:Depends}, debconf (>= 1.2.0), blas-g95
Provides: lapack2
Conflicts: lapack99
Replaces: lapack99
Description: a library of linear algebra routines compiled by G95 Fortran compiler - shared version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-g95-dev
Architecture: i386
Depends: lapack-g95 (= ${Source-Version}), blas-g95-dev, g95
Provides: lapack2-dev
Conflicts: lapack99-dev,lapack3-dev
Replaces: lapack99-dev,lapack3-dev
Recommends: g95
Section: devel
Description: a library of linear algebra routines compiled by G95 Fortran compiler - static version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-g95-pic
Architecture: i386
Conflicts: lapack3-pic
Replaces: lapack3-pic
Depends: lapack-g95 (= ${Source-Version}), blas-g95-dev, g95
Recommends: g95
Description: a library of linear algebra routines compiled by G95 Fortran compiler - static PIC version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install lapack-dev.  This package is provided for other
 packages, such as atlas, needing access to PIC versions of the lapack
 objects in their own build process.

Package: lapack-g95-test
Architecture: i386
Depends: ${shlibs:Depends}
Conflicts: lapack3-test
Replaces: lapack3-test
Description: a library of linear algebra routines compiled by G95 Fortran compiler - testing programs
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing and timing programs have been run against the 
 shared library in the lapack package.  The results have been 
 collected in the files test_results and timing_results.  These 
 programs are provided separately here so that the user can 
 test and compare alternate versions of the lapack libraries,
 such as those provided by the atlas packages, and the lapack99
 package.

## lapack-g95 3.0.20000531+20071116

=== debian/changelog ===
lapack-g95 (3.0.20000531+20071116) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Nov 2007 05:00:17 +0900

## lapack-g95 3.0.20000531+20071129

=== debian/changelog ===
lapack-g95 (3.0.20000531+20071129) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Dec 2007 05:00:14 +0900

## lapack-g95 3.0.20000531+20080618

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080618) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Jun 2008 05:00:12 +0900

## lapack-g95 3.0.20000531+20080701

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080701) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  6 Jul 2008 05:00:18 +0900

## lapack-g95 3.0.20000531+20080708

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080708) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 13 Jul 2008 05:00:12 +0900

## lapack-g95 3.0.20000531+20080715

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080715) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 20 Jul 2008 05:00:15 +0900

## lapack-g95 3.0.20000531+20080724

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080724) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 Jul 2008 05:00:13 +0900

## lapack-g95 3.0.20000531+20080731

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080731) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Aug 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20080808

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080808) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Aug 2008 05:00:10 +0900

## lapack-g95 3.0.20000531+20080813

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080813) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 17 Aug 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20080822

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080822) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 24 Aug 2008 05:00:15 +0900

## lapack-g95 3.0.20000531+20080829

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080829) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 31 Aug 2008 05:00:16 +0900

## lapack-g95 3.0.20000531+20080905

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080905) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Sep 2008 05:00:13 +0900

## lapack-g95 3.0.20000531+20080911

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080911) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Sep 2008 05:00:16 +0900

## lapack-g95 3.0.20000531+20080916

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080916) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Sep 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20080924

=== debian/changelog ===
lapack-g95 (3.0.20000531+20080924) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Sep 2008 05:00:15 +0900

## lapack-g95 3.0.20000531+20081002

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081002) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  5 Oct 2008 05:00:16 +0900

## lapack-g95 3.0.20000531+20081009

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081009) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 12 Oct 2008 05:00:17 +0900

## lapack-g95 3.0.20000531+20081017

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081017) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Oct 2008 05:00:16 +0900

## lapack-g95 3.0.20000531+20081023

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081023) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Oct 2008 05:00:16 +0900

## lapack-g95 3.0.20000531+20081027

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081027) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Nov 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20081105

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081105) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  9 Nov 2008 05:00:17 +0900

## lapack-g95 3.0.20000531+20081114

=== debian/patches.ori/timing/Makefile ===
--- timing/Makefile	Thu Dec  5 19:45:15 2002
+++ debian/updates/timing/Makefile	Wed Dec  4 15:23:42 2002
@@ -141,242 +141,242 @@
 
 stime.out: stime.in xlintims
 	@echo Timing square REAL LAPACK linear equation routines
-	xlintims < stime.in > $@ 2>&1
+	./xlintims < stime.in > $@ 2>&1
 
 STIME.out: STIME.in xlintims
 	@echo Timing square REAL LAPACK linear equation routines
-	xlintims < STIME.in > $@ 2>&1
+	./xlintims < STIME.in > $@ 2>&1
 
 sband.out: sband.in xlintims
 	@echo Timing banded REAL LAPACK linear equation routines
-	xlintims < sband.in > $@ 2>&1
+	./xlintims < sband.in > $@ 2>&1
 
 SBAND.out: SBAND.in xlintims
 	@echo Timing banded REAL LAPACK linear equation routines
-	xlintims < SBAND.in > $@ 2>&1
+	./xlintims < SBAND.in > $@ 2>&1
 
 stime2.out: stime2.in xlintims
 	@echo Timing rectangular REAL LAPACK linear equation routines
-	xlintims < stime2.in > $@ 2>&1
+	./xlintims < stime2.in > $@ 2>&1
 
 STIME2.out: STIME2.in xlintims
 	@echo Timing rectangular REAL LAPACK linear equation routines
-	xlintims < STIME2.in > $@ 2>&1
+	./xlintims < STIME2.in > $@ 2>&1
 #
 # ======== COMPLEX LIN TIMINGS ==========================
 
 ctime.out: ctime.in xlintimc
 	@echo Timing square COMPLEX LAPACK linear equation routines
-	xlintimc < ctime.in > $@ 2>&1
+	./xlintimc < ctime.in > $@ 2>&1
 
 CTIME.out: CTIME.in xlintimc
 	@echo Timing square COMPLEX LAPACK linear equation routines
-	xlintimc < CTIME.in > $@ 2>&1
+	./xlintimc < CTIME.in > $@ 2>&1
 
 cband.out: cband.in xlintimc
 	@echo Timing banded COMPLEX LAPACK linear equation routines
-	xlintimc < cband.in > $@ 2>&1
+	./xlintimc < cband.in > $@ 2>&1
 
 CBAND.out: CBAND.in xlintimc
 	@echo Timing banded COMPLEX LAPACK linear equation routines
-	xlintimc < CBAND.in > $@ 2>&1
+	./xlintimc < CBAND.in > $@ 2>&1
 
 ctime2.out: ctime2.in xlintimc
 	@echo Timing rectangular COMPLEX LAPACK linear equation routines
-	xlintimc < ctime2.in > $@ 2>&1
+	./xlintimc < ctime2.in > $@ 2>&1
 
 CTIME2.out: CTIME2.in xlintimc
 	@echo Timing rectangular COMPLEX LAPACK linear equation routines
-	xlintimc < CTIME2.in > $@ 2>&1
+	./xlintimc < CTIME2.in > $@ 2>&1
 #
 # ======== DOUBLE LIN TIMINGS ===========================
 
 dtime.out: dtime.in xlintimd
 	@echo Timing square DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < dtime.in > $@ 2>&1
+	./xlintimd < dtime.in > $@ 2>&1
 
 DTIME.out: DTIME.in xlintimd
 	@echo Timing square DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < DTIME.in > $@ 2>&1
+	./xlintimd < DTIME.in > $@ 2>&1
 
 dband.out: dband.in xlintimd
 	@echo Timing banded DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < dband.in > $@ 2>&1
+	./xlintimd < dband.in > $@ 2>&1
 
 DBAND.out: dband.in xlintimd
 	@echo Timing banded DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < DBAND.in > $@ 2>&1
+	./xlintimd < DBAND.in > $@ 2>&1
 
 dtime2.out: dtime2.in xlintimd
 	@echo Timing rectangular DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < dtime2.in > $@ 2>&1
+	./xlintimd < dtime2.in > $@ 2>&1
 
 DTIME2.out: DTIME2.in xlintimd
 	@echo Timing rectangular DOUBLE PRECISION LAPACK linear equation routines
-	xlintimd < DTIME2.in > $@ 2>&1
+	./xlintimd < DTIME2.in > $@ 2>&1
 #
 # ======== COMPLEX16 LIN TIMINGS ========================
 
 ztime.out: ztime.in xlintimz
 	@echo Timing square COMPLEX16 LAPACK linear equation routines
-	xlintimz < ztime.in > $@ 2>&1
+	./xlintimz < ztime.in > $@ 2>&1
 
 ZTIME.out: ztime.in xlintimz
 	@echo Timing square COMPLEX16 LAPACK linear equation routines
-	xlintimz < ZTIME.in > $@ 2>&1
+	./xlintimz < ZTIME.in > $@ 2>&1
 
 zband.out: zband.in xlintimz
 	@echo Timing banded COMPLEX16 LAPACK linear equation routines
-	xlintimz < zband.in > $@ 2>&1
+	./xlintimz < zband.in > $@ 2>&1
 
 ZBAND.out: ZBAND.in xlintimz
 	@echo Timing banded COMPLEX16 LAPACK linear equation routines
-	xlintimz < ZBAND.in > $@ 2>&1
+	./xlintimz < ZBAND.in > $@ 2>&1
 
 ztime2.out: ztime2.in xlintimz
 	@echo Timing rectangular COMPLEX16 LAPACK linear equation routines
-	xlintimz < ztime2.in > $@ 2>&1
+	./xlintimz < ztime2.in > $@ 2>&1
 
 ZTIME2.out: ZTIME2.in xlintimz
 	@echo Timing rectangular COMPLEX16 LAPACK linear equation routines
-	xlintimz < ZTIME2.in > $@ 2>&1
+	./xlintimz < ZTIME2.in > $@ 2>&1
 #
 #
 # ======== SINGLE EIG TIMINGS ===========================
 #
 sgeptim.out: sgeptim.in xeigtims
 	@echo GEP: Timing REAL Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtims < sgeptim.in > $@ 2>&1
+	./xeigtims < sgeptim.in > $@ 2>&1
 
 SGEPTIM.out: SGEPTIM.in xeigtims
 	@echo GEP: Timing REAL Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtims < SGEPTIM.in > $@ 2>&1
+	./xeigtims < SGEPTIM.in > $@ 2>&1
 
 sneptim.out: sneptim.in xeigtims
 	@echo NEP: Timing REAL Nonsymmetric Eigenvalue Problem routines
-	xeigtims < sneptim.in > $@ 2>&1
+	./xeigtims < sneptim.in > $@ 2>&1
 
 SNEPTIM.out: SNEPTIM.in xeigtims
 	@echo NEP: Timing REAL Nonsymmetric Eigenvalue Problem routines
-	xeigtims < SNEPTIM.in > $@ 2>&1
+	./xeigtims < SNEPTIM.in > $@ 2>&1
 
 sseptim.out: sseptim.in xeigtims
 	@echo SEP: Timing REAL Symmetric Eigenvalue Problem routines
-	xeigtims < sseptim.in > $@ 2>&1
+	./xeigtims < sseptim.in > $@ 2>&1
 
 SSEPTIM.out: SSEPTIM.in xeigtims
 	@echo SEP: Timing REAL Symmetric Eigenvalue Problem routines
-	xeigtims < SSEPTIM.in > $@ 2>&1
+	./xeigtims < SSEPTIM.in > $@ 2>&1
 
 ssvdtim.out: ssvdtim.in xeigtims
 	@echo SVD: Timing REAL Singular Value Decomposition routines
-	xeigtims < ssvdtim.in > $@ 2>&1
+	./xeigtims < ssvdtim.in > $@ 2>&1
 
 SSVDTIM.out: SSVDTIM.in xeigtims
 	@echo SVD: Timing REAL Singular Value Decomposition routines
-	xeigtims < SSVDTIM.in > $@ 2>&1
+	./xeigtims < SSVDTIM.in > $@ 2>&1
 #
 # ======== COMPLEX EIG TIMINGS ===========================
 #
 cgeptim.out: cgeptim.in xeigtimc
 	@echo GEP: Timing COMPLEX Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimc < cgeptim.in > $@ 2>&1
+	./xeigtimc < cgeptim.in > $@ 2>&1
 
 CGEPTIM.out: CGEPTIM.in xeigtimc
 	@echo GEP: Timing COMPLEX Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimc < cgeptim.in > $@ 2>&1
+	./xeigtimc < cgeptim.in > $@ 2>&1
 
 cneptim.out: cneptim.in xeigtimc
 	@echo NEP: Timing COMPLEX Nonsymmetric Eigenvalue Problem routines
-	xeigtimc < cneptim.in > $@ 2>&1
+	./xeigtimc < cneptim.in > $@ 2>&1
 
 CNEPTIM.out: CNEPTIM.in xeigtimc
 	@echo NEP: Timing COMPLEX Nonsymmetric Eigenvalue Problem routines
-	xeigtimc < CNEPTIM.in > $@ 2>&1
+	./xeigtimc < CNEPTIM.in > $@ 2>&1
 
 cseptim.out: cseptim.in xeigtimc
 	@echo SEP: Timing COMPLEX Symmetric Eigenvalue Problem routines
-	xeigtimc < cseptim.in > $@ 2>&1
+	./xeigtimc < cseptim.in > $@ 2>&1
 
 CSEPTIM.out: CSEPTIM.in xeigtimc
 	@echo SEP: Timing COMPLEX Symmetric Eigenvalue Problem routines
-	xeigtimc < CSEPTIM.in > $@ 2>&1
+	./xeigtimc < CSEPTIM.in > $@ 2>&1
 
 csvdtim.out: csvdtim.in xeigtimc
 	@echo SVD: Timing COMPLEX Singular Value Decomposition routines
-	xeigtimc < csvdtim.in > $@ 2>&1
+	./xeigtimc < csvdtim.in > $@ 2>&1
 
 CSVDTIM.out: CSVDTIM.in xeigtimc
 	@echo SVD: Timing COMPLEX Singular Value Decomposition routines
-	xeigtimc < CSVDTIM.in > $@ 2>&1
+	./xeigtimc < CSVDTIM.in > $@ 2>&1
 #
 # ======== DOUBLE EIG TIMINGS ===========================
 #
 dgeptim.out: dgeptim.in xeigtimd
 	@echo GEP: Timing DOUBLE PRECISION Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimd < dgeptim.in > $@ 2>&1
+	./xeigtimd < dgeptim.in > $@ 2>&1
 
 DGEPTIM.out: DGEPTIM.in xeigtimd
 	@echo GEP: Timing DOUBLE PRECISION Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimd < dgeptim.in > $@ 2>&1
+	./xeigtimd < dgeptim.in > $@ 2>&1
 
 dneptim.out: dneptim.in xeigtimd
 	@echo NEP: Timing DOUBLE PRECISION Nonsymmetric Eigenvalue Problem routines
-	xeigtimd < dneptim.in > $@ 2>&1
+	./xeigtimd < dneptim.in > $@ 2>&1
 
 DNEPTIM.out: DNEPTIM.in xeigtimd
 	@echo NEP: Timing DOUBLE PRECISION Nonsymmetric Eigenvalue Problem routines
-	xeigtimd < DNEPTIM.in > $@ 2>&1
+	./xeigtimd < DNEPTIM.in > $@ 2>&1
 
 dseptim.out: dseptim.in xeigtimd
 	@echo SEP: Timing DOUBLE PRECISION Symmetric Eigenvalue Problem routines
-	xeigtimd < dseptim.in > $@ 2>&1
+	./xeigtimd < dseptim.in > $@ 2>&1
 
 DSEPTIM.out: DSEPTIM.in xeigtimd
 	@echo SEP: Timing DOUBLE PRECISION Symmetric Eigenvalue Problem routines
-	xeigtimd < DSEPTIM.in > $@ 2>&1
+	./xeigtimd < DSEPTIM.in > $@ 2>&1
 
 dsvdtim.out: dsvdtim.in xeigtimd
 	@echo SVD: Timing DOUBLE PRECISION Singular Value Decomposition routines
-	xeigtimd < dsvdtim.in > $@ 2>&1
+	./xeigtimd < dsvdtim.in > $@ 2>&1
 
 DSVDTIM.out: DSVDTIM.in xeigtimd
 	@echo SVD: Timing DOUBLE PRECISION Singular Value Decomposition routines
-	xeigtimd < DSVDTIM.in > $@ 2>&1
+	./xeigtimd < DSVDTIM.in > $@ 2>&1
 #
 # ======== COMPLEX16 EIG TIMINGS ===========================
 #
 zgeptim.out: zgeptim.in xeigtimz
 	@echo GEP: Timing COMPLEX16 Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimz < zgeptim.in > $@ 2>&1
+	./xeigtimz < zgeptim.in > $@ 2>&1
 
 ZGEPTIM.out: ZGEPTIM.in xeigtimz
 	@echo GEP: Timing COMPLEX16 Generalized Nonsymmetric Eigenvalue Problem routines
-	xeigtimz < zgeptim.in > $@ 2>&1
+	./xeigtimz < zgeptim.in > $@ 2>&1
 
 zneptim.out: zneptim.in xeigtimz
 	@echo NEP: Timing COMPLEX16 Nonsymmetric Eigenvalue Problem routines
-	xeigtimz < zneptim.in > $@ 2>&1
+	./xeigtimz < zneptim.in > $@ 2>&1
 
 ZNEPTIM.out: ZNEPTIM.in xeigtimz
 	@echo NEP: Timing COMPLEX16 Nonsymmetric Eigenvalue Problem routines
-	xeigtimz < ZNEPTIM.in > $@ 2>&1
+	./xeigtimz < ZNEPTIM.in > $@ 2>&1
 
 zseptim.out: zseptim.in xeigtimz
 	@echo SEP: Timing COMPLEX16 Symmetric Eigenvalue Problem routines
-	xeigtimz < zseptim.in > $@ 2>&1
+	./xeigtimz < zseptim.in > $@ 2>&1
 
 ZSEPTIM.out: ZSEPTIM.in xeigtimz
 	@echo SEP: Timing COMPLEX16 Symmetric Eigenvalue Problem routines
-	xeigtimz < ZSEPTIM.in > $@ 2>&1
+	./xeigtimz < ZSEPTIM.in > $@ 2>&1
 
 zsvdtim.out: zsvdtim.in xeigtimz
 	@echo SVD: Timing COMPLEX16 Singular Value Decomposition routines
-	xeigtimz < zsvdtim.in > $@ 2>&1
+	./xeigtimz < zsvdtim.in > $@ 2>&1
 
 ZSVDTIM.out: ZSVDTIM.in xeigtimz
 	@echo SVD: Timing COMPLEX16 Singular Value Decomposition routines
-	xeigtimz < ZSVDTIM.in > $@ 2>&1
+	./xeigtimz < ZSVDTIM.in > $@ 2>&1
 # ==============================================================================
 
 xlintims:

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081114) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 16 Nov 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20081118

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081118) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 23 Nov 2008 05:00:13 +0900

## lapack-g95 3.0.20000531+20081127

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081127) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 30 Nov 2008 05:00:17 +0900

## lapack-g95 3.0.20000531+20081203

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081203) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Dec 2008 05:00:15 +0900

## lapack-g95 3.0.20000531+20081211

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081211) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Dec 2008 05:00:15 +0900

## lapack-g95 3.0.20000531+20081216

=== debian/changelog ===
lapack-g95 (3.0.20000531+20081216) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Dec 2008 05:00:14 +0900

## lapack-g95 3.0.20000531+20090107

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090107) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Jan 2009 05:00:14 +0900

## lapack-g95 3.0.20000531+20090116

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090116) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Jan 2009 05:00:19 +0900

## lapack-g95 3.0.20000531+20090129

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090129) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Feb 2009 05:00:15 +0900

## lapack-g95 3.0.20000531+20090204

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090204) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Feb 2009 05:00:18 +0900

## lapack-g95 3.0.20000531+20090219

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090219) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Feb 2009 05:00:16 +0900

## lapack-g95 3.0.20000531+20090226

=== debian/changelog ===
lapack-g95 (3.0.20000531+20090226) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Mar 2009 05:00:17 +0900
